curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/vendor-credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/vendor-credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bills/vendor-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor": {
"type": "VendorData",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"individual_name": "<string>",
"company_name": "<string>",
"email": "<string>",
"mobile_phone": "<string>",
"office_phone": "<string>",
"address_string": "<string>",
"memo": "<string>",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
},
"received_at": "2023-11-07T05:31:56Z",
"line_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"type": "Vendor_Credit",
"external_id": "<string>",
"allocations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_credit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"deleted_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}List vendor credits
Returns a list of vendor credits for the specified business. Vendor credits can be filtered by date range and vendor. Results will be paginated.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business to fetch vendor credits for.
Query Parameters
Filter vendor credits by vendor ID.
Filter vendor credits by received date. Vendor credits received on or after this date will be included. ISO 8601 date format.
Filter vendor credits by received date. Vendor credits received on or before this date will be included. ISO 8601 date format.
Filter by exact reference number match. Returns only records with this exact reference number.
Comma-separated list of reference numbers to filter vendor credits by. Only vendor credits with reference numbers matching any value in this list will be returned.
Filter vendor credits by exact memo match.
Filter vendor credits where memo contains this substring.